---
layout: docs
page_title: 'Commands: job deployments'
description: |
  The deployments command is used to list deployments for a job.
---

# Command: job deployments

The `job deployments` command is used to display the deployments for a
particular job.

## Usage

```plaintext
nomad job deployments [options] <job>
```

The `job deployments` command requires a single argument, the job ID or an ID
prefix of a job to display the list of deployments for.

When ACLs are enabled, this command requires a token with the `read-job`
capability for the job's namespace. The `list-jobs` capability is required to
run the command with a job prefix instead of the exact job ID.

## General Options

@include 'general_options.mdx'

## Deployment Options

- `-latest`: Display the latest deployment only.

- `-json` : Output the deployment in its JSON format.

- `-t` : Format and display the deployment using a Go template.

- `-verbose`: Show full information.

- `-all`: Display all deployments matching the job ID, even those from an
  older instance of the job.

## Examples

List the deployment for a particular job:

```shell-session
$ nomad job deployments example
ID        Job ID   Job Version  Status      Description
0b23b149  example  1            running     Deployment is running but requires manual promotion
06ca68a2  example  0            successful  Deployment completed successfully
```
